<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>HTML Forms, Tables, and Semantics</title>
</head>
<body>

<header>
    <h1>HTML Tables and Forms</h1>
</header>
<main>
    <section>
        <h2>HTML Entities</h2>
            <!-- defines an html table -->
        <table border="1">
        <!-- used to group table header content -->
        <thead>
            <tr>
                <!-- defines a table header element -->
                <!-- colspan = dictates how many column it will occupy -->
                <th colspan="2">Entity</th>
                <th>Description</th>
            </tr>
        </thead>
        <!-- Used to group table body content -->
        <tbody>
            <tr>
                <!-- defines a table data element -->
                <td>&lt;</td>
                <td>lt</td>
                <td>less than</td>
            </tr>
            <tr>
                <td>&gt;</td>
                <td>gt</td>
                <td>greater than</td>
            </tr>
            <tr>
                <td>&#8369;</td>
                <td>#8369</td>
                <td>peso sign</td>
            </tr>
            <tr>
                <td>&amp;</td>
                <td>amp</td>
                <td>ampersand</td>
            </tr>
            <tr>
                <td>&quot;</td>
                <td>quot</td>
                <td>double quotation mark</td>
            </tr>
            <tr>
                <td>&apos;</td>
                <td>apos</td>
                <td>single quotation mark (apostrophe)</td>
            </tr>
            <tr>
                <td>&ntilde;</td>
                <td>ntilde</td>
                <td>Lower tilde</td>
            </tr>
            <tr>
                <td>&Ntilde;</td>
                <td>Ntilde</td>
                <td>Upper tilde</td>
            </tr>
        </tbody>
        <!-- tfoot is used to group table footer content -->
        <tfoot>
            <tr>
                <th colspan="3">List of HTML Entities</th>
            </tr>
        </tfoot>
        </table>
    </section>

    <section>
        <h2>HTML Forms</h2>

        <p><em>Input elements that make up a form.</em></p>

    <!-- form - creates an HTML form to capture user input -->
    <form action="https://google.com">
        <!-- label becomes associated with the input by adding for and id -->
        <!-- for attribute targets id; name is related to type -->
        <label for="full_name">Full Name:</label><br>
        <input type="text" name="full_name" id="full_name" required autocomplete=""><br><br>

        <label for="birth_date">Birth Date:</label><br>
        <input type="date" name="birth_date" id="birth_date" required><br><br>

        <label for="age">Age:</label><br>
        <input type="number" name="age" id="age" min="0" required><br><br>

        <label for="gender">Gender:</label><br>
        <select name="gender" id="gender">
            <option value="Male">Male</option>
            <option value="Female">Female</option>
        </select><br><br>

        <label for="notes">Notes:</label><br>
        <!-- creates a larger text input -->
        <textarea name="notes" id="notes" cols="30" rows="5"></textarea><br><br>

        <label for="">New User:</label><br>
        <input type="radio" name="new_user" id="user-type1" value="yes">
        <label for="user-type1">Yes</label><br>

        <input type="radio" name="new_user" id="user-typ2" value="no">
        <label for="user-type2">No</label><br><br>

        <label for="">Role:</label><br>
        <input type="checkbox" name="role1" id="role1" value="developer">
        <label for="role1">Developer</label><br>

        <input type="checkbox" name="role2" id="role2" value="student">
        <label for="role2">Student</label><br>

        <input type="checkbox" name="role3" id="role3" value="manager">
        <label for="role3">Manager</label><br><br>


        <!-- creates a button that will submit form data -->
        <button type="submit">Submit</button>
        <!-- created a button to reset form data -->
        <button type="reset">Reset</button>
    </form>
    </section>
</main>


    <p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters can mix up with HTML code).</em></p>

    <!-- defines an html table -->
    <table border="1">
        <!-- used to group table header content -->
        <thead>
            <tr>
                <!-- defines a table header element -->
                <!-- colspan = dictates how many column it will occupy -->
                <th colspan="2">Entity</th>
                <th>Description</th>
            </tr>
        </thead>
        <!-- Used to group table body content -->
        <tbody>
            <tr>
                <!-- defines a table data element -->
                <td>&lt;</td>
                <td>lt</td>
                <td>less than</td>
            </tr>
            <tr>
                <td>&gt;</td>
                <td>gt</td>
                <td>greater than</td>
            </tr>
            <tr>
                <td>&#8369;</td>
                <td>#8369</td>
                <td>peso sign</td>
            </tr>
            <tr>
                <td>&amp;</td>
                <td>amp</td>
                <td>ampersand</td>
            </tr>
            <tr>
                <td>&quot;</td>
                <td>quot</td>
                <td>double quotation mark</td>
            </tr>
            <tr>
                <td>&apos;</td>
                <td>apos</td>
                <td>single quotation mark (apostrophe)</td>
            </tr>
            <tr>
                <td>&ntilde;</td>
                <td>ntilde</td>
                <td>Lower tilde</td>
            </tr>
            <tr>
                <td>&Ntilde;</td>
                <td>Ntilde</td>
                <td>Upper tilde</td>
            </tr>
        </tbody>
        <!-- tfoot is used to group table footer content -->
        <tfoot>
            <tr>
                <th colspan="3">List of HTML Entities</th>
            </tr>
        </tfoot>
    </table>

    <h2>HTML Forms</h2>
    <p><em>Input elements that make up a form.</em></p>

    <!-- form - creates an HTML form to capture user input -->
    <form action="https://google.com">
        <!-- label becomes associated with the input by adding for and id -->
        <!-- for attribute targets id; name is related to type -->
        <label for="full_name">Full Name:</label><br>
        <input type="text" name="full_name" id="full_name" required autocomplete=""><br><br>

        <label for="birth_date">Birth Date:</label><br>
        <input type="date" name="birth_date" id="birth_date" required><br><br>

        <label for="age">Age:</label><br>
        <input type="number" name="age" id="age" min="0" required><br><br>

        <label for="gender">Gender:</label><br>
        <select name="gender" id="gender">
            <option value="Male">Male</option>
            <option value="Female">Female</option>
        </select><br><br>

        <label for="notes">Notes:</label><br>
        <!-- creates a larger text input -->
        <textarea name="notes" id="notes" cols="30" rows="5"></textarea><br><br>

        <label for="">New User:</label><br>
        <input type="radio" name="new_user" id="user-type1" value="yes">
        <label for="user-type1">Yes</label><br>

        <input type="radio" name="new_user" id="user-typ2" value="no">
        <label for="user-type2">No</label><br><br>

        <label for="">Role:</label><br>
        <input type="checkbox" name="role1" id="role1" value="developer">
        <label for="role1">Developer</label><br>

        <input type="checkbox" name="role2" id="role2" value="student">
        <label for="role2">Student</label><br>

        <input type="checkbox" name="role3" id="role3" value="manager">
        <label for="role3">Manager</label><br><br>


        <!-- creates a button that will submit form data -->
        <button type="submit">Submit</button>
        <!-- created a button to reset form data -->
        <button type="reset">Reset</button>
    </form>

</body>
</html>